apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: eurodat-cluster-issuer
  namespace: {{ .Values.namespaces.baseNamespace }}
spec:
{{- if not .Values.global.useSelfSigned }}
  acme:
    {{- if .Values.certManagement.staging }}
    server: https://acme-staging-v02.api.letsencrypt.org/directory
    {{- else }}
    server: https://acme-v02.api.letsencrypt.org/directory
    {{- end }}
    email: admin@eurodat.org
    privateKeySecretRef:
      name: eurodat-cluster-issuer-key
    solvers:
      - http01:
          ingress:
            ingressClassName: cluster-nginx
{{- else }}
  ca:
    secretName: local-self-signed-ca-secret
{{- end -}}
